This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Server
Name | ### write()
Examples |
    import processing.net.*;

    Server myServer;
    int port = 5204;
    int val = 0;

    void setup() {
      size(200, 200);
      // Starts a myServer on port 5204
      myServer = new Server(this, port);
    }

    void draw() {
      val = val + 1;
      background(val);
      myServer.write(val);
    }
Description | Writes a value to all the connected clients. It sends bytes out from the Server object.
Syntax |
    server.write(data)
Parameters |
server | Server: any variable of type Server
data | String, byte[], or int: data to write
Returns | void

Updated on October 26, 2013 08:58:28pm PDT